<?php
include('include/autoloader.php');

$id = intval(make_safe(xss_clean($_GET['id'])));
$slug = make_safe(xss_clean($_GET['slug']));
$list = $general->single_list($id);
foreach ($list AS $key=>$value) {
	$smarty->assign('list_'.$key,$value);
}
$smarty->assign('is_public_list',$list['privacy']);
$media = $general->lists_media($list['id']);
$smarty->assign('media',$media);

$smarty->assign('seo_title',htmlspecialchars_decode($list['title'],ENT_QUOTES));
$smarty->assign('seo_keywords',$options['general_seo_keywords']);
$smarty->assign('seo_description',$options['general_seo_description']);
if ($list['privacy'] == 0) {
$url = $options['general_siteurl']."/".get_list_cover($id);
$slugged = str_replace(':/','://',str_replace('//','/',($url)));
$smarty->assign('seo_facebook_image',$url);
}
$smarty->display('list.html');	
?>